Bug 4516 - no IPv6 on Solaris 2.6
no IPv6 on Solaris 2.6
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.23
Sparc Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 00:24 UTC by David Leonard (550 5.7.1 Unable to deliver)
Modified: 2008-08-25 17:19 UTC (History)
0 users

See Also:


Attachments
a patch against 3.0.25rc1 (2.64 KB, patch)
2007-04-16 00:25 UTC, David Leonard (550 5.7.1 Unable to deliver)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Leonard (550 5.7.1 Unable to deliver) 2007-04-16 00:24:23 UTC
winbind_nss_solaris.c assumes AF_INET6 exists, when it doesn't on Solaris 2.6
Comment 1 David Leonard (550 5.7.1 Unable to deliver) 2007-04-16 00:25:39 UTC
Created attachment 2387 [details]
a patch against 3.0.25rc1
Comment 2 Björn Jacke 2007-08-23 06:27:47 UTC
this looks very reasonable. Can someone please take a look and check it in to fix build on Solaris 6?
Comment 3 Jeremy Allison 2008-08-25 17:19:11 UTC
Finally committed this. Sorry for the delay and thanks for the patch !
Jeremy.